#https://www.blog.pythonlibrary.org/2016/08/02/python-201-a-multiprocessing-tutorial/
import logging,sys
import multiprocessing
from multiprocessing import Process, Lock

def printer(item, lock):
    """
    Prints out the item that was passed in
    """
    lock.acquire()
    try:
        print(item)
    finally:
        lock.release()

if __name__ == '__main__':
    lock = Lock()
    items = ['tango', 'foxtrot', 10]
    multiprocessing.log_to_stderr(logging.INFO)
    logger = logging.getLogger()
    logger.setLevel(logging.INFO)
    for item in items:
        p = Process(target=printer, args=(item, lock))
        p.start()
